@echo OFF
set /p WITH_CONSOLE=Make build with console [y/n]?
set SOURCE_DIR=src
set HEADER_DIR=include
set BINARY_DIR=bin
set BINARY_NAME=RefreshRateChanger.exe
set CONFIG_FILE=config.ini
set FREQUENCIES=23 25 60

if not exist %BINARY_DIR% (
	echo Creating output dir %BINARY_DIR%/
	mkdir %BINARY_DIR%
)

if exist %BINARY_DIR%/%BINARY_NAME% (
	echo Deleting old binary %BINARY_NAME%
	del %BINARY_DIR%\%BINARY_NAME%
)

if not exist %BINARY_DIR%/%CONFIG_FILE% (
	echo Creating config file %CONFIG_FILE%
	echo.%FREQUENCIES%>>%BINARY_DIR%/%CONFIG_FILE%
)

set SUBSYSTEM=
if "%WITH_CONSOLE%"=="n" (
	set SUBSYSTEM=-Wl,-subsystem,windows
	echo Creating binary without console
) else (
	echo Creating binary with console
)

g++ -s -static-libgcc -static-libstdc++ -O3 %SUBSYSTEM% -std=c++11 -I %HEADER_DIR%/ -o %BINARY_DIR%/%BINARY_NAME% %SOURCE_DIR%/*.cpp -luser32 -lgdi32

if errorlevel 1 (
	echo Build failed
) else (
	echo Build finished
)
