#ifndef WINDOW_H_
#define WINDOW_H_

#include <windows.h>
#include <map>
#include <string>

struct Window {
	static Window& getWindow(HWND windowHandle);

	Window(HINSTANCE, int, int, int);
	void show();
	void hide();
	void setText(std::string const&);
	HWND getHandle() const;

	LRESULT CALLBACK processWindowEvent(HWND, UINT, WPARAM, LPARAM);
private:
	int getScreenCenterX() const;
	int getScreenCenterY() const;
	void makeTransparent();
	void makeRounded();
	void repaint();
	void paint(HWND);
	
	HINSTANCE instanceHandle;
	int showCommand;

	HWND windowHandle{};
	int windowWidth;
	int windowHeight;
	std::string text;
};

#endif

