#include "config.h"

#include <fstream>
#include <stdexcept>
#include <iterator>
#include <algorithm>

#include <iostream>

namespace {

std::list<int> getFrequenciesFromFile(std::string file) {
	std::list<int> result{};
	std::ifstream in{file};

	if(in.is_open()) {
		using frequency_iterator=std::istream_iterator<int>;
		std::copy(frequency_iterator{in}, frequency_iterator{}, std::back_inserter(result));
		in.close();
	} else {
		throw std::invalid_argument("file " + file + " not found");
	}
	return result;
}

}

Config::Config(std::string file):frequencies{getFrequenciesFromFile(file)} {
	std::cout << "Loaded configured frequencies: ";
	std::copy(frequencies.begin(), frequencies.end(), std::ostream_iterator<int>{std::cout, " "});
	std::cout << std::endl;
}
